/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 12/05/2016 : SCA : V2.2.2
 * ----------------------------------------
 */
package fr.tlse.irap.pt.client.controller.searchComets;

import java.util.Date;

import fr.tlse.irap.pt.client.component.DialogComponent;
import fr.tlse.irap.pt.client.controller.RootController;

public class SearchCometsDialogBox {

	private static SearchCometsComponent searchCometsController;

	public static SearchCometsComponent getSearchCometsComponent() {
		if (searchCometsController == null) {
			searchCometsController = new SearchCometsComponent();
			new DialogComponent(searchCometsController, RootController.stage, "Search Comets");

		}
		searchCometsController.getDialog().toFront();
		return searchCometsController;
	}

	public static void show(Date startDate) {
		getSearchCometsComponent().initComponentWith(startDate);	
	}

}